Bug 1420374 - Review Request: php-phpunit-php-code-coverage5 - PHP code coverage information
Review Request: php-phpunit-php-code-coverage5 - PHP code coverage information
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Randy Barlow
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1420381 1420384
  Show dependency treegraph
 
Reported: 2017-02-08 09:29 EST by Remi Collet
Modified: 2017-03-06 11:43 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-06 11:43:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
randy: fedora‑review+


Attachments (Terms of Use)
review.txt (8.82 KB, text/plain)
2017-03-05 22:32 EST, Randy Barlow
randy: review+
Details

  None (edit)
Description Remi Collet 2017-02-08 09:29:23 EST
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/master/php/phpunit/php-phpunit-php-code-coverage5/php-phpunit-php-code-coverage5.spec
SRPM URL: http://rpms.remirepo.net/SRPMS/php-phpunit-php-code-coverage5-5.0.0-1.remi.src.rpm
Description: 
Library that provides collection, processing, and rendering functionality
for PHP code coverage information.


Fedora Account System Username: remi
Comment 3 Randy Barlow 2017-03-02 23:00:02 EST
Hello Remi!

Here are some things I think we need to fix:

The package seems to have bundled bootstrap, jquery, other js, fonts, and                                            
css. I think the fonts and css are in the "optional" category, but the javascript stuff would count as a bundled library I think. Recommendation: Either declare that your package provides these bundled, or symlink those packages.

I think the syntax for declaring bundled libs is something like:

Provides: bundled(js-jquery) == VERSION (or does the == VERSION go inside the bundled()? Not sure…)

Also, does this package need to depend on php-pcre?
Comment 4 Remi Collet 2017-03-03 01:47:28 EST
Hi Randy, thanks for your catches.

> Also, does this package need to depend on php-pcre?

"pcre" is only required for tests (fedora-review run phpcompatinfo on the full sources tree, sometime have to run it manually on "src" and "tests" directory separately).

Unbundle .ttf file + provide bundled(xxx) + fix license tag
=> https://git.io/vyn9B

Spec: https://raw.githubusercontent.com/remicollet/remirepo/0082c5854eb46245c1dc8d421ef3b7f83e2b4d26/php/phpunit/php-phpunit-php-code-coverage5/php-phpunit-php-code-coverage5.spec
Srpm: http://rpms.remirepo.net/SRPMS/php-phpunit-php-code-coverage5-5.0.2-2.remi.src.rpm
Comment 5 Randy Barlow 2017-03-05 22:32 EST
Created attachment 1260254 [details]
review.txt

Approved, with one small thing you should fix before submitting to Koji:

There's a small typo in the License: field: s/ans/and/

Nice work!
Comment 6 Remi Collet 2017-03-06 00:44:59 EST
Thanks for the review!

Can you please set the global "fedora-review" flag to + ?
(the review+ on attachement is not enough for pkgdb ;)
Comment 7 Randy Barlow 2017-03-06 11:01:27 EST
Apologies - I hadn't realized that there was a review flag on attachments and thought I was +'ing the overall review!
Comment 8 Gwyn Ciesla 2017-03-06 11:06:07 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/php-phpunit-php-code-coverage5
Comment 9 Remi Collet 2017-03-06 11:43:23 EST
> There's a small typo in the License: field: s/ans/and/

good catch. typo fixed (with 5.0.3 update, build in F26+)

Note You need to log in before you can comment on or make changes to this bug.